Bug 465946 - Unhandled Exception: System.InvalidOperationException: Extension node not found in path: /Tomboy/ApplicationAddins
Unhandled Exception: System.InvalidOperationException: Extension node not fou...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: tomboy (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-07 07:04 EDT by Rick Richardson
Modified: 2009-06-23 05:34 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-23 05:34:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rick Richardson 2008-10-07 07:04:11 EDT
$ rpm -qa | grep tomboy
tomboy-0.10.1-2.fc9.i386


$ tomboy
[DEBUG]: NoteManager created with note path "/home/rick/.tomboy".
[INFO]: Initializing Mono.Addins
WARNING: Could not scan file: /usr/lib/tomboy/Tomboy.exe
WARNING: Could not scan file: /usr/lib/tomboy/addins/Backlinks.dll
WARNING: Could not scan file: /usr/lib/tomboy/addins/Bugzilla.dll
WARNING: Could not scan file: /usr/lib/tomboy/addins/Evolution.dll
WARNING: Could not scan file: /usr/lib/tomboy/addins/ExportToHtml.dll
WARNING: Could not scan file: /usr/lib/tomboy/addins/FileSystemSyncService.dll
WARNING: Could not scan file: /usr/lib/tomboy/addins/FixedWidth.dll
WARNING: Could not scan file: /usr/lib/tomboy/addins/InsertTimestamp.dll
WARNING: Could not scan file: /usr/lib/tomboy/addins/NoteOfTheDay.dll
WARNING: Could not scan file: /usr/lib/tomboy/addins/PrintNotes.dll
WARNING: Could not scan file: /usr/lib/tomboy/addins/SshSyncServiceAddin.dll
WARNING: Could not scan file: /usr/lib/tomboy/addins/StickyNoteImport.dll
WARNING: Could not scan file: /usr/lib/tomboy/addins/WebDavSyncService.dll

Unhandled Exception: System.InvalidOperationException: Extension node not found in path: /Tomboy/ApplicationAddins
in <0x00072> Mono.Addins.ExtensionContext:AddExtensionNodeHandler (System.String path, Mono.Addins.ExtensionNodeEventHandler handler)
in <0x00028> Mono.Addins.AddinManager:AddExtensionNodeHandler (System.String path, Mono.Addins.ExtensionNodeEventHandler handler)
in <0x0019c> Tomboy.AddinManager:InitializeMonoAddins ()
in <0x0005f> Tomboy.AddinManager:.ctor (System.String tomboy_conf_dir)
in <0x00037> Tomboy.NoteManager:CreateAddinManager ()
in <0x00091> Tomboy.NoteManager:.ctor (System.String directory, System.String backup_directory)
in <0x0002a> Tomboy.NoteManager:.ctor (System.String directory)
in <0x00115> Tomboy.Tomboy:Main (System.String[] args)
$
Comment 1 Josh 2009-04-22 16:40:25 EDT
Saw the same issue.

"yum install mono-addins" resolves the problem. Dependency missing on tomboy package?
Comment 2 Rick Richardson 2009-04-22 18:05:04 EDT
$ yum list tomboy mono-addins
Loaded plugins: refresh-packagekit
Installed Packages
mono-addins.i386                    0.3.1-2.2.fc10                     installed
tomboy.i386                         0.12.0-5.fc10                      installed

$ tomboy

Unhandled Exception: System.Reflection.TargetInvocationException: Exception has been thrown by the target of an invocation. ---> System.EntryPointNotFoundException: glibsharp_closure_new
in (wrapper managed-to-native) GLib.SignalClosure:glibsharp_closure_new (GLib.SignalClosure/ClosureMarshal,GLib.SignalClosure/ClosureNotify,intptr)
in <0x00031> GLib.SignalClosure:.ctor (IntPtr obj, System.String signal_name, System.Type args_type)
in <0x002a7> GLib.Signal:AddDelegate (System.Delegate d)
in <0x00022> Gtk.Object:add_InternalDestroyed (System.EventHandler value)
in <0x0006b> Gtk.Object:set_Raw (IntPtr value)
in <0x0000e> GLib.Object:.ctor (IntPtr raw)
in <0x0000d> GLib.InitiallyUnowned:.ctor (IntPtr raw)
in <0x0000d> Gtk.Object:.ctor (IntPtr raw)
in <0x0000d> Gtk.Widget:.ctor (IntPtr raw)
in <0x0000d> Gtk.Container:.ctor (IntPtr raw)
in <0x0000d> Gtk.Bin:.ctor (IntPtr raw)
in <0x0000d> Gtk.Item:.ctor (IntPtr raw)
in <0x0000d> Gtk.MenuItem:.ctor (IntPtr raw)
in <0x0000d> Gtk.ImageMenuItem:.ctor (IntPtr raw)
in <0x00000> <unknown method>
in (wrapper managed-to-native) System.Reflection.MonoCMethod:InternalInvoke (object,object[])
in <0x0008d> System.Reflection.MonoCMethod:Invoke (System.Object obj, BindingFlags invokeAttr, System.Reflection.Binder binder, System.Object[] parameters, System.Globalization.CultureInfo culture)--- End of inner exception stack trace ---

in <0x0010e> System.Reflection.MonoCMethod:Invoke (System.Object obj, BindingFlags invokeAttr, System.Reflection.Binder binder, System.Object[] parameters, System.Globalization.CultureInfo culture)
in <0x0001c> System.Reflection.MonoCMethod:Invoke (BindingFlags invokeAttr, System.Reflection.Binder binder, System.Object[] parameters, System.Globalization.CultureInfo culture)
in <0x00200> System.Activator:CreateInstance (System.Type type, BindingFlags bindingAttr, System.Reflection.Binder binder, System.Object[] args, System.Globalization.CultureInfo culture, System.Object[] activationAttributes)
in <0x00029> System.Activator:CreateInstance (System.Type type, BindingFlags bindingAttr, System.Reflection.Binder binder, System.Object[] args, System.Globalization.CultureInfo culture)
in <0x000a2> GLib.ObjectManager:CreateObject (IntPtr raw)
in <0x00122> GLib.Object:GetObject (IntPtr o, Boolean owned_ref)
in <0x0000c> GLib.Object:GetObject (IntPtr o)
in <0x00043> Gtk.UIManager:GetWidget (System.String path)
in <0x00013> Tomboy.ActionManager:GetWidget (System.String widget_path)
in <0x00048> Tomboy.ActionManager:LoadInterface ()
in <0x000b4> Tomboy.Application:Initialize (System.String locale_dir, System.String display_name, System.String process_name, System.String[] args)
in <0x000a0> Tomboy.Tomboy:Main (System.String[] args)
$
Comment 3 Josh 2009-04-22 18:24:33 EDT
what version of gtk-sharp2 do you have installed?


$ yum list gtk-sharp2
Loaded plugins: refresh-packagekit
Installed Packages
gtk-sharp2.i386                                  2.12.7-1.fc10.1                                  installed
Comment 4 Rick Richardson 2009-04-22 18:41:27 EDT
$  yum list gtk-sharp2
Loaded plugins: refresh-packagekit
Installed Packages
gtk-sharp2.i386                    2.12.7-1.fc10.1                     installed

Note You need to log in before you can comment on or make changes to this bug.